#include<bits/stdc++.h>
using namespace std;
int arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,br=0,mbr=0,kbr=0;
    cin>>n;
    mbr=n;
    br=n;
    for(int i=0; i<n; i++)
    {
        cin>>arr[i];
    }

    for(int i=1; i<n-1; i++)
    {
        br++;
        //cout<<i<<" "<<br<<endl;
        if(arr[i]>arr[i+1] && arr[i]>arr[i-1])
        {
            mbr=min(mbr,br-1);
            kbr++;
            br=0;
        }

        if(arr[i]==0)
        {

            if(kbr<2) mbr=0;

            break;
        }


    }
    cout<<mbr<<endl;
    return 0;
}
